4 ms·
https://en.wikipedia.org/wiki/Email_address#Internationalization https://en.wikipedia.org/wiki/Email_address#Internationaliza... Turkish emails are not support
by notlukesky 7y ago
https://en.wikipedia.org/wiki/Email_address#Internationalization https://en.wikipedia.org/wiki/Email_address#Internationaliza...
Turkish emails are not supported in the first place.
Internationalization examples[edit]
The example addresses below would not be handled by RFC 5322 based servers, but are permitted by RFC 6530. Servers compliant with this will be able to handle these:
Latin alphabet with diacritics: Pelé@example.com
Greek alphabet: δοκιμή@παράδειγμα.δοκιμή
Traditional Chinese characters: 我買@屋企.香港
Japanese characters: 二ノ宮@黒川.日本
Cyrillic characters: медведь@с-балалайкой.рф
Devanagari characters: संपर्क@डाटामेल.भारत
- jcranmer 7y agoEAI email addresses are legal email addresses, even if it's not guaranteed that all servers are capable of delivering to them.
- dmurray 7y agoRFC 6530 doesn't mention those character sets explicitly. It proposes allowing all Unicode characters, apart from some control characters. It is true that the RFC recommends mailbox providers take normalization into account. A mailbox provider that allows i and dotless-i addresses to be routed to different mailboxes is careless, if not actually uncompliant. I don't know if any popular provider does this: I'm guessing the authors created their own to demonstrate this attack.
- notlukesky 7y agoTurkish characters are not part of RFC 6530. There are no email addresses with Turkish characters at all. They all use Latin characters. It just does not exist - yet at least.
- anderskaseorg 7y agoYes, they are part of RFC 6530, via its references to RFC 3629 (UTF-8) and the Unicode standard.
- lonelappde 7y agoUnicode is such a disaster for data processing that it's unfair to call anyone careless for getting it wrong.